/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

define(['ko'], function (ko) {
    'use strict';

    var initialized = ko.observable(false),
        autoOptimizeKeywords = ko.observable(false),
        footerInitialized = ko.observable(false),
        keywordAnalysisPromptInitialized = ko.observable(false),
        templateSettings = ko.observable({}),
        fieldsTemplateSettings = ko.observable([]);

    return {
        initialized: initialized,
        autoOptimizeKeywords: autoOptimizeKeywords,
        footerInitialized: footerInitialized,
        keywordAnalysisPromptInitialized: keywordAnalysisPromptInitialized,
        templateSettings: templateSettings,
        fieldsTemplateSettings: fieldsTemplateSettings
    };
});
